Subject: Re: bug#21969: VC opens new window to display minimal messages
From: Dmitry Gutov <[email-masked]>
To: David Reitter <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Nov 2015 07:01:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/22/2015 04:28 AM, David Reitter wrote:

> A user or a package might have configured their Emacs such that new buffers aren’t shown in new windows, but in new frames, for example, and undoing that would not be straightforward.  I don’t know how vc displays the buffer - I was just assuming “pop-to-buffer”.

Indeed, that would complicate the "undo" logic. Especially the "new 
frames" part.

> .05s, I’d say.  My “git diff” is way faster than that for a file that hasn’t changed.

We also have vc-root-diff, which handles the whole repository, and not 
just one file. It would be desirable for the to behave similarly.

> No, just git-diff.

Why just Git?

>> I can change it back to synchronous for the mentioned backends (Git, Hg, RCS) now; that's simple. The more advanced solution will have to be written by someone else then.
>
> I would probably change it back for 25.1,

I've reverted it for Git, Hg, MTN and RCS now, which should bring them 
to the Emacs 24 behavior.

> and then someone (who’s the VC maintainer?)

Take a guess.

You can have this honor, if you like.